<html>
<head>
<title>Ogre::BuiltinScriptTranslatorManager Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1BuiltinScriptTranslatorManager.html">BuiltinScriptTranslatorManager</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::BuiltinScriptTranslatorManager Class Reference<div class="ingroups"><a class="el" href="group__General.html">General</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::BuiltinScriptTranslatorManager" --><!-- doxytag: inherits="Ogre::ScriptTranslatorManager" -->
<p>This class manages the builtin translators.  
 <a href="classOgre_1_1BuiltinScriptTranslatorManager.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreScriptTranslator_8h_source.html">OgreScriptTranslator.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::BuiltinScriptTranslatorManager:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1BuiltinScriptTranslatorManager__inherit__graph.gif" border="0" usemap="#Ogre_1_1BuiltinScriptTranslatorManager_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1BuiltinScriptTranslatorManager_inherit__map" id="Ogre_1_1BuiltinScriptTranslatorManager_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1ScriptTranslatorManager.html" title="The ScriptTranslatorManager manages the lifetime and access to script translators." alt="" coords="23,83,223,112"/><area shape="rect" id="node4" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="52,5,193,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1BuiltinScriptTranslatorManager-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BuiltinScriptTranslatorManager.html#aebe6c1766a7f7075b51df6c2ca3c1bae">BuiltinScriptTranslatorManager</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BuiltinScriptTranslatorManager.html#ab6581abb1d14672fac32571217b30be2">getNumTranslators</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the number of translators being managed.  <a href="#ab6581abb1d14672fac32571217b30be2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1ScriptTranslator.html">ScriptTranslator</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BuiltinScriptTranslatorManager.html#a65ab67d68211961033aaeeec65f29754">getTranslator</a> (const <a class="el" href="group__General.html#ga15cfb375beeafed87e1bdd96ef10ff36">AbstractNodePtr</a> &amp;node)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a manager for the given object abstract node, or null if it is not supported.  <a href="#a65ab67d68211961033aaeeec65f29754"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1MaterialTranslator.html">MaterialTranslator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BuiltinScriptTranslatorManager.html#a228a865034571259e32ddfc36dbdd30f">mMaterialTranslator</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1TechniqueTranslator.html">TechniqueTranslator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BuiltinScriptTranslatorManager.html#a26cc15ac44a01ce28269b5ed58071ae5">mTechniqueTranslator</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1PassTranslator.html">PassTranslator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BuiltinScriptTranslatorManager.html#a352a32177d9c887a8fa4cca0b9a6fe31">mPassTranslator</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1TextureUnitTranslator.html">TextureUnitTranslator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BuiltinScriptTranslatorManager.html#ac829692ff8cba994211edd6688b4a9e9">mTextureUnitTranslator</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1TextureSourceTranslator.html">TextureSourceTranslator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BuiltinScriptTranslatorManager.html#ac7613807b016a21fda4ccab14a75e27b">mTextureSourceTranslator</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1GpuProgramTranslator.html">GpuProgramTranslator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BuiltinScriptTranslatorManager.html#a0b7ce136f40cf16a2e2df3514eab31ac">mGpuProgramTranslator</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1SharedParamsTranslator.html">SharedParamsTranslator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BuiltinScriptTranslatorManager.html#ab211311bbfc7e90179c3188645a67270">mSharedParamsTranslator</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ParticleSystemTranslator.html">ParticleSystemTranslator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BuiltinScriptTranslatorManager.html#a7487d99620be0344b7f90e720e93ebf3">mParticleSystemTranslator</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ParticleEmitterTranslator.html">ParticleEmitterTranslator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BuiltinScriptTranslatorManager.html#a865a0ebd3ce84069ee314fac0462469e">mParticleEmitterTranslator</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1ParticleAffectorTranslator.html">ParticleAffectorTranslator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BuiltinScriptTranslatorManager.html#adf641b8d874f464d941232bf6ac28549">mParticleAffectorTranslator</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1CompositorTranslator.html">CompositorTranslator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BuiltinScriptTranslatorManager.html#a4ff39d9509733849068ecd6536ef74c9">mCompositorTranslator</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1CompositionTechniqueTranslator.html">CompositionTechniqueTranslator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BuiltinScriptTranslatorManager.html#aab0b731b0f58a7b4ffd238cc7ac3f170">mCompositionTechniqueTranslator</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1CompositionTargetPassTranslator.html">CompositionTargetPassTranslator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BuiltinScriptTranslatorManager.html#acbeca5827f63c54f7e84f8750a3005e2">mCompositionTargetPassTranslator</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1CompositionPassTranslator.html">CompositionPassTranslator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1BuiltinScriptTranslatorManager.html#a9722cd0faf9d032edf98634b5bca06ca">mCompositionPassTranslator</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This class manages the builtin translators. </p>

<p>Definition at line <a class="el" href="OgreScriptTranslator_8h_source.html#l00256">256</a> of file <a class="el" href="OgreScriptTranslator_8h_source.html">OgreScriptTranslator.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="aebe6c1766a7f7075b51df6c2ca3c1bae"></a><!-- doxytag: member="Ogre::BuiltinScriptTranslatorManager::BuiltinScriptTranslatorManager" ref="aebe6c1766a7f7075b51df6c2ca3c1bae" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1BuiltinScriptTranslatorManager.html#aebe6c1766a7f7075b51df6c2ca3c1bae">Ogre::BuiltinScriptTranslatorManager::BuiltinScriptTranslatorManager</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ab6581abb1d14672fac32571217b30be2"></a><!-- doxytag: member="Ogre::BuiltinScriptTranslatorManager::getNumTranslators" ref="ab6581abb1d14672fac32571217b30be2" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual size_t <a class="el" href="classOgre_1_1BuiltinScriptTranslatorManager.html#ab6581abb1d14672fac32571217b30be2">Ogre::BuiltinScriptTranslatorManager::getNumTranslators</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the number of translators being managed. </p>

<p>Implements <a class="el" href="classOgre_1_1ScriptTranslatorManager.html#a660728184188815f9586c12495d99bbb">Ogre::ScriptTranslatorManager</a>.</p>

</div>
</div>
<a class="anchor" id="a65ab67d68211961033aaeeec65f29754"></a><!-- doxytag: member="Ogre::BuiltinScriptTranslatorManager::getTranslator" ref="a65ab67d68211961033aaeeec65f29754" args="(const AbstractNodePtr &amp;node)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1ScriptTranslator.html">ScriptTranslator</a>* <a class="el" href="classOgre_1_1BuiltinScriptTranslatorManager.html#a65ab67d68211961033aaeeec65f29754">Ogre::BuiltinScriptTranslatorManager::getTranslator</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="group__General.html#ga15cfb375beeafed87e1bdd96ef10ff36">AbstractNodePtr</a> &amp;&#160;</td>
          <td class="paramname"><em>node</em></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns a manager for the given object abstract node, or null if it is not supported. </p>

<p>Implements <a class="el" href="classOgre_1_1ScriptTranslatorManager.html#a663a8643f1af286006bb1438697b2045">Ogre::ScriptTranslatorManager</a>.</p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::BuiltinScriptTranslatorManager::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::BuiltinScriptTranslatorManager::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::BuiltinScriptTranslatorManager::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::BuiltinScriptTranslatorManager::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::BuiltinScriptTranslatorManager::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::BuiltinScriptTranslatorManager::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::BuiltinScriptTranslatorManager::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::BuiltinScriptTranslatorManager::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::BuiltinScriptTranslatorManager::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::BuiltinScriptTranslatorManager::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a9722cd0faf9d032edf98634b5bca06ca"></a><!-- doxytag: member="Ogre::BuiltinScriptTranslatorManager::mCompositionPassTranslator" ref="a9722cd0faf9d032edf98634b5bca06ca" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositionPassTranslator.html">CompositionPassTranslator</a> <a class="el" href="classOgre_1_1BuiltinScriptTranslatorManager.html#a9722cd0faf9d032edf98634b5bca06ca">Ogre::BuiltinScriptTranslatorManager::mCompositionPassTranslator</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreScriptTranslator_8h_source.html#l00272">272</a> of file <a class="el" href="OgreScriptTranslator_8h_source.html">OgreScriptTranslator.h</a>.</p>

</div>
</div>
<a class="anchor" id="acbeca5827f63c54f7e84f8750a3005e2"></a><!-- doxytag: member="Ogre::BuiltinScriptTranslatorManager::mCompositionTargetPassTranslator" ref="acbeca5827f63c54f7e84f8750a3005e2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositionTargetPassTranslator.html">CompositionTargetPassTranslator</a> <a class="el" href="classOgre_1_1BuiltinScriptTranslatorManager.html#acbeca5827f63c54f7e84f8750a3005e2">Ogre::BuiltinScriptTranslatorManager::mCompositionTargetPassTranslator</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreScriptTranslator_8h_source.html#l00271">271</a> of file <a class="el" href="OgreScriptTranslator_8h_source.html">OgreScriptTranslator.h</a>.</p>

</div>
</div>
<a class="anchor" id="aab0b731b0f58a7b4ffd238cc7ac3f170"></a><!-- doxytag: member="Ogre::BuiltinScriptTranslatorManager::mCompositionTechniqueTranslator" ref="aab0b731b0f58a7b4ffd238cc7ac3f170" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositionTechniqueTranslator.html">CompositionTechniqueTranslator</a> <a class="el" href="classOgre_1_1BuiltinScriptTranslatorManager.html#aab0b731b0f58a7b4ffd238cc7ac3f170">Ogre::BuiltinScriptTranslatorManager::mCompositionTechniqueTranslator</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreScriptTranslator_8h_source.html#l00270">270</a> of file <a class="el" href="OgreScriptTranslator_8h_source.html">OgreScriptTranslator.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4ff39d9509733849068ecd6536ef74c9"></a><!-- doxytag: member="Ogre::BuiltinScriptTranslatorManager::mCompositorTranslator" ref="a4ff39d9509733849068ecd6536ef74c9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1CompositorTranslator.html">CompositorTranslator</a> <a class="el" href="classOgre_1_1BuiltinScriptTranslatorManager.html#a4ff39d9509733849068ecd6536ef74c9">Ogre::BuiltinScriptTranslatorManager::mCompositorTranslator</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreScriptTranslator_8h_source.html#l00269">269</a> of file <a class="el" href="OgreScriptTranslator_8h_source.html">OgreScriptTranslator.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0b7ce136f40cf16a2e2df3514eab31ac"></a><!-- doxytag: member="Ogre::BuiltinScriptTranslatorManager::mGpuProgramTranslator" ref="a0b7ce136f40cf16a2e2df3514eab31ac" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GpuProgramTranslator.html">GpuProgramTranslator</a> <a class="el" href="classOgre_1_1BuiltinScriptTranslatorManager.html#a0b7ce136f40cf16a2e2df3514eab31ac">Ogre::BuiltinScriptTranslatorManager::mGpuProgramTranslator</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreScriptTranslator_8h_source.html#l00264">264</a> of file <a class="el" href="OgreScriptTranslator_8h_source.html">OgreScriptTranslator.h</a>.</p>

</div>
</div>
<a class="anchor" id="a228a865034571259e32ddfc36dbdd30f"></a><!-- doxytag: member="Ogre::BuiltinScriptTranslatorManager::mMaterialTranslator" ref="a228a865034571259e32ddfc36dbdd30f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1MaterialTranslator.html">MaterialTranslator</a> <a class="el" href="classOgre_1_1BuiltinScriptTranslatorManager.html#a228a865034571259e32ddfc36dbdd30f">Ogre::BuiltinScriptTranslatorManager::mMaterialTranslator</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreScriptTranslator_8h_source.html#l00259">259</a> of file <a class="el" href="OgreScriptTranslator_8h_source.html">OgreScriptTranslator.h</a>.</p>

</div>
</div>
<a class="anchor" id="adf641b8d874f464d941232bf6ac28549"></a><!-- doxytag: member="Ogre::BuiltinScriptTranslatorManager::mParticleAffectorTranslator" ref="adf641b8d874f464d941232bf6ac28549" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ParticleAffectorTranslator.html">ParticleAffectorTranslator</a> <a class="el" href="classOgre_1_1BuiltinScriptTranslatorManager.html#adf641b8d874f464d941232bf6ac28549">Ogre::BuiltinScriptTranslatorManager::mParticleAffectorTranslator</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreScriptTranslator_8h_source.html#l00268">268</a> of file <a class="el" href="OgreScriptTranslator_8h_source.html">OgreScriptTranslator.h</a>.</p>

</div>
</div>
<a class="anchor" id="a865a0ebd3ce84069ee314fac0462469e"></a><!-- doxytag: member="Ogre::BuiltinScriptTranslatorManager::mParticleEmitterTranslator" ref="a865a0ebd3ce84069ee314fac0462469e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ParticleEmitterTranslator.html">ParticleEmitterTranslator</a> <a class="el" href="classOgre_1_1BuiltinScriptTranslatorManager.html#a865a0ebd3ce84069ee314fac0462469e">Ogre::BuiltinScriptTranslatorManager::mParticleEmitterTranslator</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreScriptTranslator_8h_source.html#l00267">267</a> of file <a class="el" href="OgreScriptTranslator_8h_source.html">OgreScriptTranslator.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7487d99620be0344b7f90e720e93ebf3"></a><!-- doxytag: member="Ogre::BuiltinScriptTranslatorManager::mParticleSystemTranslator" ref="a7487d99620be0344b7f90e720e93ebf3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ParticleSystemTranslator.html">ParticleSystemTranslator</a> <a class="el" href="classOgre_1_1BuiltinScriptTranslatorManager.html#a7487d99620be0344b7f90e720e93ebf3">Ogre::BuiltinScriptTranslatorManager::mParticleSystemTranslator</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreScriptTranslator_8h_source.html#l00266">266</a> of file <a class="el" href="OgreScriptTranslator_8h_source.html">OgreScriptTranslator.h</a>.</p>

</div>
</div>
<a class="anchor" id="a352a32177d9c887a8fa4cca0b9a6fe31"></a><!-- doxytag: member="Ogre::BuiltinScriptTranslatorManager::mPassTranslator" ref="a352a32177d9c887a8fa4cca0b9a6fe31" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1PassTranslator.html">PassTranslator</a> <a class="el" href="classOgre_1_1BuiltinScriptTranslatorManager.html#a352a32177d9c887a8fa4cca0b9a6fe31">Ogre::BuiltinScriptTranslatorManager::mPassTranslator</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreScriptTranslator_8h_source.html#l00261">261</a> of file <a class="el" href="OgreScriptTranslator_8h_source.html">OgreScriptTranslator.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab211311bbfc7e90179c3188645a67270"></a><!-- doxytag: member="Ogre::BuiltinScriptTranslatorManager::mSharedParamsTranslator" ref="ab211311bbfc7e90179c3188645a67270" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SharedParamsTranslator.html">SharedParamsTranslator</a> <a class="el" href="classOgre_1_1BuiltinScriptTranslatorManager.html#ab211311bbfc7e90179c3188645a67270">Ogre::BuiltinScriptTranslatorManager::mSharedParamsTranslator</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreScriptTranslator_8h_source.html#l00265">265</a> of file <a class="el" href="OgreScriptTranslator_8h_source.html">OgreScriptTranslator.h</a>.</p>

</div>
</div>
<a class="anchor" id="a26cc15ac44a01ce28269b5ed58071ae5"></a><!-- doxytag: member="Ogre::BuiltinScriptTranslatorManager::mTechniqueTranslator" ref="a26cc15ac44a01ce28269b5ed58071ae5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1TechniqueTranslator.html">TechniqueTranslator</a> <a class="el" href="classOgre_1_1BuiltinScriptTranslatorManager.html#a26cc15ac44a01ce28269b5ed58071ae5">Ogre::BuiltinScriptTranslatorManager::mTechniqueTranslator</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreScriptTranslator_8h_source.html#l00260">260</a> of file <a class="el" href="OgreScriptTranslator_8h_source.html">OgreScriptTranslator.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac7613807b016a21fda4ccab14a75e27b"></a><!-- doxytag: member="Ogre::BuiltinScriptTranslatorManager::mTextureSourceTranslator" ref="ac7613807b016a21fda4ccab14a75e27b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1TextureSourceTranslator.html">TextureSourceTranslator</a> <a class="el" href="classOgre_1_1BuiltinScriptTranslatorManager.html#ac7613807b016a21fda4ccab14a75e27b">Ogre::BuiltinScriptTranslatorManager::mTextureSourceTranslator</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreScriptTranslator_8h_source.html#l00263">263</a> of file <a class="el" href="OgreScriptTranslator_8h_source.html">OgreScriptTranslator.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac829692ff8cba994211edd6688b4a9e9"></a><!-- doxytag: member="Ogre::BuiltinScriptTranslatorManager::mTextureUnitTranslator" ref="ac829692ff8cba994211edd6688b4a9e9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1TextureUnitTranslator.html">TextureUnitTranslator</a> <a class="el" href="classOgre_1_1BuiltinScriptTranslatorManager.html#ac829692ff8cba994211edd6688b4a9e9">Ogre::BuiltinScriptTranslatorManager::mTextureUnitTranslator</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreScriptTranslator_8h_source.html#l00262">262</a> of file <a class="el" href="OgreScriptTranslator_8h_source.html">OgreScriptTranslator.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreScriptTranslator_8h_source.html">OgreScriptTranslator.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:07
</p>
</body>
</html>
